problem converting INPUT x @ y constructs
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 01/30/2015 12:27 PM - Constantin Asofiei

- File ca_upd20150130b.zip added

P2J incorrectly resolves the frame of a INPUT i expression, in a case like this:

def temp-table tt1 field f1 as int field f2 as int.

def var i as int.

def var j as int.

create tt1.

form i tt1.f1 with frame f1.

form j tt1.f2 with frame f2.

update i tt1.f1 with frame f1.

display input i @ j input tt1.f1 @ tt1.f2 with frame f2. /* this one is wrong */

pause.

display i @ j tt1.f1 @ tt1.f2 with frame f2. /* this one is OK */

 

Frame f2 has only j and tt1.f2 widgets; P2J assumes i and tt1.f1 are part of f2, too, thus "input i" will be resolved for a widget in frame f2.

Attached update passed conversion testing and was released to bzr rev 10730.
#2 - 01/30/2015 12:40 PM - Greg Shah

- Status changed from WIP to Closed

- Target version set to Milestone 12

#3 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

ca_upd20150130b.zip 34.3 KB 01/30/2015 Constantin Asofiei
